package com.tenlionsoft.aimz_k.model

data class FileUploadStateBean(var code: Int, var data: FileDataBean)

//"fileId": "2b9dfe0b-ef6f-466c-84f6-8aedb7c97d8f",
//"fileName": "Screenshot_20230626_092232.jpg",
//"fileSize": 103874,
//"fileUrl": "api/file/download/2b9dfe0b-ef6f-466c-84f6-8aedb7c97d8f"
data class FileDataBean(
    var fileId: String?,
    var fileName: String?,
    var fileSize: Long?,
    var fileUrl: String
)

data class UserAvatarBean(
    val avatar: String
)


data class UserInfoUpdateBean(
    val avatar: String,
    val email: String,
    val nickname: String,
    val password: String,
    val phone: String,
    val remarks: String
)