package com.tenlionsoft.baselib.widget

import android.graphics.Rect
import android.view.View
import androidx.recyclerview.widget.RecyclerView

class StackedImageDecoration : RecyclerView.ItemDecoration() {
    override fun getItemOffsets(
        outRect: Rect,
        view: View,
        parent: RecyclerView,
        state: RecyclerView.State
    ) {
        val position = parent.getChildAdapterPosition(view)
        // 根据位置设置偏移量来实现堆叠效果
        outRect.top = position * 10
    }
}